## Requirements

- [`chordpro`](https://github.com/ChordPro/chordpro/)
- `ghostscript`
- `zola` (optional)

## Building

`make` defaults to `all` which builds individual PDF and HTML files for
all songs. It also builds two complete songbooks for *mixtape* and *classic*.

Available targets: `all`, `pdf`, `html`, `clean`

You can also build PDF for a specific page with:

```
chordpro --config=chordpro.json path/to/song.cho
```

or build HTML output with:

```
chordpro --config=chordpro.json -o path/to/song.html path/to/song.cho
```

### Static website output

Futhermore, the project is ready to be compiled into a static webpage using
[Zola](https://www.getzola.org/).

```
zola build
```

This is done by default during the deploy pipeline.
